'''
Created on Dec 4, 2017

@author: florentin
'''
def isPrime(nr):
        """
        Verifica daca un nr e prim
        Input: nr
        Output: True, daca nr e prim sau False, altfel
        """
        if nr<=1:
            return False
        if nr==2 or nr==3:
            return True
        if nr%2==0:
            return False
        for i in range (3,int(nr**0.5)+1,2): #parcurgem din 2 in 2
            if nr%i==0:
                return False
        return True
    
def isPerfectSquare(nr):
    """
    Verifica daca un numar este patrat perfect
    Input:numarul de verificat
    Output: True in caz ca este pp, False in caz contrar
    """
    if nr<0:
        return False
    for i in range (int(nr**0.5)+1):
        if i*i==nr:
            return True
    return False
    

        
def testIsPerfectSquare():
    assert isPerfectSquare(-4)==False
    assert isPerfectSquare(0)==True
    assert isPerfectSquare(1)==True
    assert isPerfectSquare(17)==False
    assert isPerfectSquare(25)==True
    print("testele pentru isPerfectSquare au fost efectuate cu succes")
def testIsPrime():
    assert isPrime(-1)==False
    assert isPrime(3)==True
    assert isPrime(4)==False
    assert isPrime(0)==False
    assert isPrime(73)==True
    assert isPrime(12345678)==False
    assert isPrime(1111111)==False
    print("Toate testele isPrime au fost efectuate cu succes")
    
testIsPrime()
testIsPerfectSquare()

