'''
Created on Dec 4, 2017

@author: florentin
'''

class FormaGeometrica:
    def __init__(self,x,y):
        """
        Constructor
        Aici initializam valorile x si y in momentul
        in care cream un obiect de tip FormaGeometrica
        De fapt este mai mult Dreptunghi
        """
        self.x = x
        self.y = y

    descriere = "Aceasta forma nu a fost descrisa inca"
    autor = "Nu exista un autor al acestei forme "
    """
    Valori implicite pentru descriere si autor
    """
       

    def aria(self):
        """
        Metoda a clasei, calculeaza aria obiectului
        """
        return self.x * self.y
    
    def perimetrul(self):
        return 2 * self.x + 2 * self.y

    
    def seteazaDescriere(self,text):
        if text!="invalid" :
            self.descriere = text

        
    def seteazaAutor(self,text):
        self.autor = text
        
    def scaleaza(self,scale):
        self.x = self.x * scale
        self.y = self.y * scale

class Patrat(FormaGeometrica):
    def __init__(self,x):
        self.x = x
        self.y = x
    
class PatratDublu(Patrat):
    def __init__(self,y):
        self.x = 2 * y
        self.y = y
    def perimetrul(self):
        return 2 * self.x + 4 * self.y

#instantiere
#cream un obiect de tip forma geometrica
    
dreptunghi = FormaGeometrica (1,10)    

 
#afiseaza aria dreptunghiului:
print("Aria dreptunghiului este:", dreptunghi.aria())

#afiseaza perimetrul dreptunghiului:
print ("Perimetrul dreptunghiului este:",dreptunghi.perimetrul())

print("Descrierea implicita a dreptunghiului este :",dreptunghi.descriere)


#seteaza descrierea dreptunghiului
#dreptunghi.seteazaDescriere("Un dreptunghi a carui latime este de 10 ori mai mare decat inaltimea")
dreptunghi.seteazaDescriere("invalid")

print("Descrierea dreptunghiului cu date invalide este:", dreptunghi.descriere)

#seteaza descrierea dreptunghiului
dreptunghi.seteazaDescriere("Un dreptunghi a carui latime este de 10 ori mai mare decat inaltimea")

print("Descrierea dreptunghiului dupa modificare este:",dreptunghi.descriere)


#scaleaza dreptunghiul cu 50%
dreptunghi.scaleaza(0.5)
 
#afiseaza aria dreptunghiului scalat
print ("Aria dreptunghiului este:",dreptunghi.aria(), "\n")


p1= Patrat(50)
print("P1 este de: ",p1.x, "x", p1.y)
print("Descrierea patratului este:",p1.descriere, "\n")
p1.seteazaDescriere("Acesta este un patrat")
print("Descrierea patratului dupa modificare este:",p1.descriere, "\n")

dreptunghi2 = FormaGeometrica (5,10)  
FormaGeometrica.descriere = "test"
print("Descrierea la nivel de clasa: " + dreptunghi2.descriere)  
dreptunghi2.seteazaDescriere("modificat")
print("Descrierea la nivel de obiect: ",dreptunghi2.descriere)  